Contributing to Nuvola Player
=============================

:+1::tada: It seems you would like to contirubte to the Nuvola Player project. Great to have you here.
Here are a few ways you can help make Nuvola Player better! :tada::+1:
_[Nuvola Player Team](https://tiliado.eu/nuvolaplayer/team/)_

Bug Reporting
-------------

Whenever you encounter a bug in Nuvola Player, don't hesitate to report it. First of all, it is necessary to submit
your issue to the right place:

* Contact [Tiliado support](mailto:support@tiliado.eu) to report issues with Tiliado.eu website (tiliado.eu domain),
  your Tiliado account and memberships.
  
* Report issues with Tiliado Repository installer and installation of Nuvola Player at
  [the Nuvola Player Users mailing list](https://groups.google.com/d/forum/nuvola-player-users).
  
* Use [the Nuvola Player Users mailing list](https://groups.google.com/d/forum/nuvola-player-users) also to ask general
  questions about Nuvola Player.

* Finally, for reporting issues and bugs of the Nuvola Player application and supported services, follow
  [the Bug Reporting Guidelines](https://github.com/tiliado/nuvolaplayer/wiki/Bug-Reporting-Guidelines).

Feature Requests
----------------

Feature requests are welcome. First of all, take a look at
[the Nuvola Player task board](https://waffle.io/tiliado/nuvolaplayer). If there is no
feature request similar to your wish, don't hesitate to
[create a new ticket](https://github.com/tiliado/nuvolaplayer/issues/new) for it. However, it's up to you to make
a strong case to convince the project's developers of the merits of this feature.
Please provide as much detail and context as possible.

New features are developed on best effort basis. Features requested by
[Nuvola Patrons](https://tiliado.eu/nuvolaplayer/funding/) have always higher priority and are likely to be implemented
sooner. Other tickets are likely to be postponed to be implemented later, but won't be forgotten.

Financial Support
-----------------

You can [support development of Nuvola Player](https://tiliado.eu/nuvolaplayer/funding/) financially and become a Patron of the project ;-)

Web App Script
--------------

Web App Scripts (service integration scripts) run in the web interface and communicates with Nuvola Player run-time.
If you want to add support for a new service, follow
[Service Integration Development guides](http://tiliado.github.io/nuvolaplayer/development/apps.html).

Core Development
----------------

Nuvola Player 3 Core is currently in a beta phase, heavily under-documented and without any API stability guarantee.
If you would like to contribute to the core development, please wait a bit until the API is relatively stable and
a basic hacking documentation is made. Meantime, you can follow Nuvola Player development at Github:

   * [Diorite library](https://github.com/tiliado/diorite)
   * [Nuvola Player 3](https://github.com/tiliado/nuvolaplayer)
